﻿using System;
using Amplitude.AI.Core.Framework.BehaviorTree;
using Amplitude.AI.Core.Framework.BehaviorTree.BehaviorNodes;

namespace Amplitude.AI.Core.Brain.Behaviors.Fleet
{
    public class AcademyDefensive : DoFleetActionAtPosition
    {
        public override string BehaviorName
        {
            get
            {
                return "AcademyDefensive";
            }
        }

        protected override BehaviorNode<BehaviorData> GetAction()
        {
            return new Amplitude.AI.Core.Framework.BehaviorTree.BehaviorNodes.Action<BehaviorData>(new Func<BehaviorData, BehaviorNodeReturnCode>(BehaviorActions.Fail));
        }

        public AcademyDefensive()
        {
        }
    }
}
